Package org.springframework.security.web.webauthn.api

# Class CredentialPropertiesOutput.ExtensionOutput

java.lang.Object
org.springframework.security.web.webauthn.api.CredentialPropertiesOutput.ExtensionOutput

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  CredentialPropertiesOutput

public static final class CredentialPropertiesOutput.ExtensionOutput extends Object implements Serializable
The output for `CredentialPropertiesOutput`

Since:
  6.4
See Also:
  - `CredentialPropertiesOutput.getOutput()`
  - Serialized Form

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isRk()`
This OPTIONAL property, known abstractly as the resident key credential property (i.e., client-side discoverable credential property), is a Boolean value indicating whether the PublicKeyCredential returned as a result of a registration ceremony is a client-side discoverable credential.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### isRk

public boolean isRk()
This OPTIONAL property, known abstractly as the resident key credential property (i.e., client-side discoverable credential property), is a Boolean value indicating whether the PublicKeyCredential returned as a result of a registration ceremony is a client-side discoverable credential.

Returns:
  is resident key credential property